(***************************************************************************
Author:    Germano Rossi, Verona University, Italy (c) All rights reserved.
Internet:  germano@chiostro.univr.it
Program:   testcloc.pas
Version:   1.4
Status:    Exp
Date:      1995-01-22 16:36:45-0800
Nickname:  
***************************************************************************)
{$I APP.DEF}

program Test_ClocHeap;

uses App, Objects, Menus, Drivers, Views, ClocHeap;

type
  TMyApp = object(TClockHeapApplication)
    procedure InitMenuBar; virtual;
  end;

procedure TMyApp.InitMenuBar;
var
  R: TRect;
begin
  GetExtent(R);
  R.B.Y := R.A.Y + 1;
  MenuBar := New(PMenuBar, Init(R, NewMenu(
    NewSubMenu('~T~est', hcNoContext, NewMenu(
      NewItem('Try ~D~esktop', '', kbNoKey, cmDesk, hcNoContext,
    {$IFDEF ScreenSaverGroothuis}
      NewItem('Try ~S~creenSaver', '', kbNoKey, cmScreen, hcNoContext,
    {$ENDIF}
      NewLine(
{     NewItem('~S~ave Desktop', '', kbNoKey, cmDeskSave, hcNoContext,
      NewItem('~L~oad Desktop', '', kbNoKey, cmDeskLoad, hcNoContext,}
      NewItem('E~x~it', 'Alt-X', kbAltX, cmQuit, hcExit,
      nil){))})
    {$IFDEF ScreenSaverGroothuis} ) {$ENDIF}
      )),
    nil)
  )));
end;

var
  TTestApp : TMyApp;

begin
  TTestApp.Init;
  TTestApp.Run;
  TTestApp.Done;
end.

(**************************************************************************
History:

testcloc.pas
Revision 1.4  1995-01-22 16:36:45-0800  Germano
Corrected minor bugs.

Revision 1.3  1994-11-13 00:09:17-0800  Germano
Modified for use with version 1.5

Revision 1.2  1994-09-04 02:03:13-0700  Germano
Add inherited.Done in TMyApp.Done.

Revision 1.1  1994-09-03 00:15:13-0700  Germano
Initial revision

**************************************************************************)
